Bug 241220 - gdmflexiserver with xnest does not display greeter
gdmflexiserver with xnest does not display greeter
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-24 09:58 EDT by Cameron Meadors
Modified: 2008-11-27 16:55 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-27 16:55:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdm debug output from /var/log/messages (4.34 KB, text/plain)
2007-05-24 09:58 EDT, Cameron Meadors
no flags Details
/var/log/gdm/:20.log (97 bytes, text/plain)
2007-05-24 09:59 EDT, Cameron Meadors
no flags Details

  None (edit)
Description Cameron Meadors 2007-05-24 09:58:36 EDT
Description of problem:

Starting 'gdmflxiserver -n' starts a nested X window and then exits.  The X
cursor changes to the clock just before the windows goes away.

Version-Release number of selected component (if applicable):

gdm-2.18.0-14.fc7
xorg-x11-server-Xnest-1.3.0.0-5.fc7

How reproducible:

Everytime on multiple machines

Steps to Reproduce:
1. run 'gdmflexiserver -n'
2.
3.
  
Actual results:

Nested X window pops up.  The cursor changes and then the window goes away.

Expected results:

Nested X window pops up and the gdmgreeter is displayed and I can login.

Additional info:

I have enabled XDMCP via gdmsetup.  gdmflexiserver without Xnest works.  I will
be attaching the gdm debug output in /var/log/messages and /var/log/gdm/:20.log.
Comment 1 Cameron Meadors 2007-05-24 09:58:36 EDT
Created attachment 155347 [details]
gdm debug output from /var/log/messages
Comment 2 Cameron Meadors 2007-05-24 09:59:24 EDT
Created attachment 155348 [details]
/var/log/gdm/:20.log
Comment 3 Matthias Clasen 2007-05-24 15:45:22 EDT
curiously enough, gdmflexiserver (without the -n) works fine
Comment 4 Jason Farrell 2007-06-11 19:53:59 EDT
I can't get gdmflexiserver working with xnest either, but a regular display
works (fastuserswitching).

Versions:
gdm-2.18.2-1.fc7
xorg-x11-server-Xnest-1.3.0.0-8.fc7
xorg-x11-server-Xephyr-1.3.0.0-7.fc7


$ gdmflexiserver -d --xnest
Sending command: 'VERSION'
  Got response: 'GDM 2.18.2'
Sending command: 'AUTH_LOCAL 917a886c9c02bf49d16dca8ac4d2fc16'
  Got response: 'OK'
Sending command: 'AUTH_LOCAL 917a886c9c02bf49d16dca8ac4d2fc16'
  Got response: 'OK'
Sending command: 'QUERY_VT'
  Got response: 'OK 7'
Sending command: 'AUTH_LOCAL 917a886c9c02bf49d16dca8ac4d2fc16'
  Got response: 'OK'
Sending command: 'CONSOLE_SERVERS'
  Got response: 'OK :0,jaf,7;:20,foobar,8'
Sending command: 'FLEXI_XNEST :0 500 917a886c9c02bf49d16dca8ac4d2fc16
/tmp/.gdm1WDBTT'
  Got response: 'ERROR 6 No server binary'
Sending command: 'CLOSE'


If I manually start Xnest and connect, it'll still work, though:
su - testuser
Xnest -geometry 800x600 -ac :2 &
fluxbox -display :2
Comment 5 Kamil J. Dudek 2007-07-14 15:46:50 EDT
My Xnest displays gray window of new session, but nothing more.
gdmXnest writes: "Unrecognized argument:  " and fails to run.
When I start Xnest by its command and later run fluxbox with proper -display 
parameter, it writes that X server rejects a connections(AUDIT). Even with -
audit 0

I tried sabayon, which runs xnest window. It hadn't any problem with logging in 
as some user. I duplicated commands of Xnest displayed in gnome-system-monitor, 
but even these ones failed to run.
Comment 6 Steve Alexander 2007-08-02 16:13:17 EDT
It seems that /etc/gdm/custom.conf does not have a valid definition for
FLEXI_XNEST.  When running "gdmflexiserver -d -n" the final message indicates no
binary found.

Adding the line
Xnest=/usr/bin/Xnest -audit 0 -name Xnest
to the "[daemon]" section of /etc/gdm/custom.conf corrects this first issue.

After this the "gdmflexiserver -d -n" shows the Xnest closing immedately after
opening.   It seems that whatever X client is started on the Xnest fails
immediately after startup, closing the Xnest server and causing gdmflexiserver
to report ".Sending command: 'CLOSE'"

Comment 7 Bug Zapper 2008-11-26 02:15:48 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Jason Farrell 2008-11-27 16:53:43 EST
with gdmflexiserver in gdm-2.24.0-12 it's at least now clear that it's not supposed to work, rather than doing it badly:

$ gdmflexiserver -d --xnest

** (gdmflexiserver:11098): WARNING **: Not yet implemented

Note You need to log in before you can comment on or make changes to this bug.